#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "defs.h"
#include "smtp.h"
#include "rewrite.h"

int
alter_header(char *filepath) {
	FILE	*fd					;
	char	line[MIDBUFSIZE]	;

	if((fd = fopen(filepath, "r")) == NULL) {
#ifdef DEBUG
		printf("Error: fopen %s\n", filepath);
#endif
		return -1;
    }

	while(fgets(line, MIDBUFSIZE-1, fd)) {
		if (line[0] == '\n') break;
		if(strncmp(line, X_MAIL_SCANNER, strlen(X_MAIL_SCANNER)) == 0) continue;
		if(strncmp(line, "Subject:", 8) == 0)
			printf("Subject: %s %s", SPAM_TAG, rfc821_subj);
		else
			printf("%s", line);
	}
	printf("%s", X_MAIL_SCANNER);

	return 0;
}
